## org.eclipse.datatools.sqltools.sqlbuilder
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.sqltools.sqlbuilder.ParseException

All Implemented Interfaces:
  java.io.Serializable

    public class ParseException

extends java.lang.Exception

This exception is thrown when parse errors are encountered when passing some SQL to the SQLBuilder as input.

Author:
  Jeremy Lindop
See Also:
  Serialized Form

Constructor Summary
`ParseException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(java.lang.String message)